protbert_embeddings:
  sequences_file: cath_example/sequences_file.fasta
  prefix: cath_example
  simple_remapping: true
  mapping_file: cath_example/mapping_file.csv
  remapped_sequences_file: cath_example/remapped_sequences_file.fasta
  type: embed
  protocol: prottrans_bert_bfd
  reduce: true
  discard_per_amino_acid_embeddings: true
  stage_name: protbert_embeddings
  start_time: '2020-12-22 11:36:09.892569+01:00'
  model_directory: /Users/chdallago/Library/Caches/bio_embeddings/prottrans_bert_bfd/model_directory
  max_amino_acids: 6024
  embeddings_transformer_function:
  reduced_embeddings_file: cath_example/protbert_embeddings/reduced_embeddings_file.h5
  end_time: '2020-12-22 11:43:43.028699+01:00'
  elapsed_time: 0:07:33.136130
umap_projections:
  sequences_file: cath_example/sequences_file.fasta
  prefix: cath_example
  simple_remapping: true
  mapping_file: cath_example/mapping_file.csv
  remapped_sequences_file: cath_example/remapped_sequences_file.fasta
  type: project
  protocol: umap
  reduce: true
  discard_per_amino_acid_embeddings: true
  stage_name: umap_projections
  start_time: '2020-12-22 11:43:43.033316+01:00'
  model_directory: /Users/chdallago/Library/Caches/bio_embeddings/prottrans_bert_bfd/model_directory
  max_amino_acids: 6024
  embeddings_transformer_function:
  reduced_embeddings_file: cath_example/protbert_embeddings/reduced_embeddings_file.h5
  end_time: '2020-12-22 11:43:49.373744+01:00'
  elapsed_time: 0:00:06.340428
  depends_on: protbert_embeddings
  n_components: 2
  min_dist: .5
  spread: 6
  n_neighbors: 5
  random_state: 10
  metric: euclidean
  verbose: 1
  projected_embeddings_file: cath_example/umap_projections/projected_embeddings_file.csv
plotly_visualization:
  sequences_file: cath_example/sequences_file.fasta
  prefix: cath_example
  simple_remapping: true
  mapping_file: cath_example/mapping_file.csv
  remapped_sequences_file: cath_example/remapped_sequences_file.fasta
  type: visualize
  protocol: plotly
  reduce: true
  discard_per_amino_acid_embeddings: true
  stage_name: plotly_visualization
  start_time: '2020-12-22 11:43:49.377751+01:00'
  model_directory: /Users/chdallago/Library/Caches/bio_embeddings/prottrans_bert_bfd/model_directory
  max_amino_acids: 6024
  embeddings_transformer_function:
  reduced_embeddings_file: cath_example/protbert_embeddings/reduced_embeddings_file.h5
  end_time: '2020-12-22 11:43:51.653601+01:00'
  elapsed_time: 0:00:02.275850
  depends_on: umap_projections
  n_components: 2
  min_dist: .5
  spread: 6
  n_neighbors: 5
  random_state: 10
  metric: euclidean
  verbose: 1
  projected_embeddings_file: cath_example/umap_projections/projected_embeddings_file.csv
  annotation_file: cath_annotations.csv
  merge_via_index: false
  display_unknown: true
  merged_annotation_file: cath_example/plotly_visualization/merged_annotation_file.csv
  plot_file: cath_example/plotly_visualization/plot_file.html
global:
  sequences_file: cath_example/sequences_file.fasta
  prefix: cath_example
  simple_remapping: true
  mapping_file: cath_example/mapping_file.csv
  remapped_sequences_file: cath_example/remapped_sequences_file.fasta
  version: 0.1.4
